# Add a client

Adds a job seeker you apply for. An active client takes a seat on your operator plan; with every seat taken, or on a plan without seats, it is refused with CLIENT_LIMIT_REACHED. Requires a verified email address. Requires authentication.

```http
POST https://hiresweep.com/api/openapi/clients
x-api-key: YOUR_API_KEY
```

## Request body

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "email": {
      "anyOf": [
        {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 320,
              "format": "email"
            },
            {
              "const": ""
            }
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "phone": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 64
        },
        {
          "type": "null"
        }
      ]
    },
    "notes": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 5000
        },
        {
          "type": "null"
        }
      ]
    },
    "requireApproval": {
      "type": "boolean"
    }
  },
  "required": [
    "name"
  ]
}
```

## Responses

- `200`: The new client.
- `402`: 402
